  .mi-div{
   background-size: cover;
    background-repeat: no-repeat;
    display: flex;
  justify-content: center; /* Centra horizontalmente */
  align-items: center;     /* Centra verticalmente */
  height: 100vh; 
  }

@media screen and (max-width:800px){
  .mi-div{
     flex: 1 1 300px; /* Crece, encoge y tiene un ancho base de 300px */
   
    padding: 20px;
  }
}


@media screen and (max-width:580px){
  .mi-div{



 /*  height:1920px;
  width: 2080px; */
     background-size: cover;
   background-repeat: no-repeat;
      /* display: flex;*/
  justify-content: center; /* Centra horizontalmente */
  align-items: center;     /* Centra verticalmente */
  text-align: center;
 /*width: 100%;*/
   

  width: 100%; /* Define un ancho menor al contenedor */
  margin: 0 auto;
   
     width: 330px;
  height: 200px;
   
   max-width: 100% ;
   max-height: 100% ;

   
  }
}




/*
@media (max-width:583px){
 .mi-div{
    left: 44%;
    top:-52px;
  }
}

@media (max-width: 580px) {
  .mi-div {
    width: 100%;
  }
.mi-div{
    display: none;
  }
.mi-div {
    cursor: pointer;
    visibility: visible;
  }
}
*/